Class GetListsRequest
java.lang.Object
com.amilesend.tmdb.client.model.acount.GetListsRequest
- All Implemented Interfaces:
AccountBasedRequest, QueryParameterBasedRequest, SessionBasedRequest
Request to retrieve list information for an account.
- See Also:
-
Nested Class Summary
Nested Classes -
Method Summary
Modifier and TypeMethodDescriptionbuilder()booleanintThe account identifier (required).getPage()The result page (optional).The session identifier that is authorized to access the account information (optional).inthashCode()okhttp3.HttpUrl.BuilderpopulateQueryParameters(okhttp3.HttpUrl.Builder urlBuilder) Helper method to populate query parameters of aHttpUrl.Builder.toString()Methods inherited from interface AccountBasedRequest
validateAccountIdModifier and TypeMethodDescriptiondefault voidValidates if the defined account identifier is valid.Methods inherited from interface SessionBasedRequest
populateSessionIdQueryParameterIfDefinedModifier and TypeMethodDescriptiondefault okhttp3.HttpUrl.BuilderpopulateSessionIdQueryParameterIfDefined(okhttp3.HttpUrl.Builder urlBuilder) Defines the session identifier as a query parameter in the request URL builder if defined.
-
Method Details
-
populateQueryParameters
public okhttp3.HttpUrl.Builder populateQueryParameters( okhttp3.HttpUrl.Builder urlBuilder) Description copied from interface:QueryParameterBasedRequestHelper method to populate query parameters of aHttpUrl.Builder.- Specified by:
populateQueryParametersin interfaceQueryParameterBasedRequest- Parameters:
urlBuilder- the HttpUrl.Builder instance- Returns:
- the HttpUrl.Builder instance
-
builder
-
getAccountId
public int getAccountId()The account identifier (required).- Specified by:
getAccountIdin interfaceAccountBasedRequest- Returns:
- the account identifier
-
getPage
The result page (optional). -
getSessionId
The session identifier that is authorized to access the account information (optional).- Specified by:
getSessionIdin interfaceSessionBasedRequest- Returns:
- the session identifier
-
equals
-
hashCode
-
toString
-